#!/bin/bash

pos=1
while [ $pos -le 20 ]
do
   echo "nunn2 position: $pos / 20"
   xboard -size average \
	-tc 0:10 -inc 1 \
	-mg 2 -sgf chess4j-prophet3.pgn \
	-fcp "java -ea -jar chess4j-0.1-uber.jar" \
	-fd /home/james/workspace/chess4j/target \
	-scp "/home/james/prophet3/Default/prophet3" \
	-sd "/home/james/prophet3/Default" \
	-lpf "/home/james/workspace/chess4j/scripts/nunn2.fen" -lpi $pos \
	-popupExitMessage false \
	-xponder 
   let pos=pos+1
done

pos=1
while [ $pos -le 50 ]
do
   echo "silver position: $pos / 50"
   xboard -size average \
	-tc 0:10 -inc 1 \
	-mg 2 -sgf chess4j-prophet3.pgn \
	-fcp "java -ea -jar chess4j-0.1-uber.jar" \
	-fd /home/james/workspace/chess4j/target \
	-scp "/home/james/prophet3/Default/prophet3" \
	-sd "/home/james/prophet3/Default" \
	-lgf "/home/james/workspace/chess4j/scripts/silver.pgn" -lgi $pos \
	-popupExitMessage false \
	-xponder 
   let pos=pos+1
done

pos=1
while [ $pos -le 30 ]
do
   echo "noomen position: $pos / 30"
   xboard -size average \
	-tc 0:10 -inc 1 \
	-mg 2 -sgf chess4j-prophet3.pgn \
	-fcp "java -ea -jar chess4j-0.1-uber.jar" \
	-fd /home/james/workspace/chess4j/target \
	-scp "/home/james/prophet3/Default/prophet3" \
	-sd "/home/james/prophet3/Default" \
	-lgf "/home/james/workspace/chess4j/scripts/NoomenTestsuite2008.pgn" -lgi $pos \
	-popupExitMessage false \
	-xponder 
   let pos=pos+1
done


