package chess4j.board.directions;

import junit.framework.Assert;

import org.junit.Test;

import chess4j.board.File;
import chess4j.board.Rank;
import chess4j.board.Square;

public class WestTest {

	@Test
	public void testNext() {
		Assert.assertNull(West.getInstance().next(Square.valueOf(File.FILE_A, Rank.RANK_8)));
		
		Assert.assertEquals(West.getInstance().next(
				Square.valueOf(File.FILE_C, Rank.RANK_6)), 
				Square.valueOf(File.FILE_B, Rank.RANK_6));
		
		Assert.assertEquals(West.getInstance().next(
				Square.valueOf(File.FILE_G, Rank.RANK_3)), 
				Square.valueOf(File.FILE_F, Rank.RANK_3));
	}

}
