package chess4j.search;

import junit.framework.Assert;

import org.junit.Test;

public class SearchIteratorTest {

	@Test
	public void testGetTimeAllotment() {
		SearchIterator.setTimeRemaining(100);
		SearchIterator.setIncrement(0);
		Assert.assertEquals(4, SearchIterator.getTimeAllotment());
	}

	@Test
	public void testGetTimeAllotment2() {
		SearchIterator.setTimeRemaining(99);
		SearchIterator.setIncrement(0);
		Assert.assertEquals(3, SearchIterator.getTimeAllotment());
	}
	
	@Test
	public void testGetTimeAllotment3() {
		SearchIterator.setTimeRemaining(25);
		SearchIterator.setIncrement(0);
		Assert.assertEquals(1, SearchIterator.getTimeAllotment());
	}
	
	@Test
	public void testGetTimeAllotment4() {
		SearchIterator.setTimeRemaining(24);
		SearchIterator.setIncrement(0);
		Assert.assertEquals(0, SearchIterator.getTimeAllotment());
	}
	
	@Test
	public void testGetTimeAllotment5() {
		SearchIterator.setTimeRemaining(0);
		SearchIterator.setIncrement(3);
		Assert.assertEquals(3, SearchIterator.getTimeAllotment());
	}
	
	@Test
	public void testGetTimeAllotment6() {
		SearchIterator.setTimeRemaining(-1);
		SearchIterator.setIncrement(3);
		Assert.assertEquals(3, SearchIterator.getTimeAllotment());
	}
	
	@Test
	public void testGetTimeAllotment7() {
		SearchIterator.setTimeRemaining(-25);
		SearchIterator.setIncrement(2);
		Assert.assertEquals(2, SearchIterator.getTimeAllotment());
	}

}
