package chess4j.search;

import java.util.ArrayList;
import java.util.List;

import chess4j.moves.Move;

public class SearchStats {

	private long nodes=0;
	private long startTime=0;
	private long stopTime=0;
	private List<Move> lastPV = new ArrayList<Move>();
	private List<Move> firstLine = new ArrayList<Move>();
	
	public long getNodes() {
		return nodes;
	}
	
	public void incNodes() {
		nodes++;
	}

	public List<Move> getLastPV() {
		return lastPV;
	}

	public void setLastPV(List<Move> lastPV) {
		this.lastPV.clear();
		this.lastPV.addAll(lastPV);
	}

	public List<Move> getFirstLine() {
		return firstLine;
	}

	public void setFirstLine(List<Move> firstLine) {
		this.firstLine.clear();
		this.firstLine.addAll(firstLine);
	}

	public long getStartTime() {
		return startTime;
	}

	public void setStartTime(long startTime) {
		this.startTime = startTime;
	}

	public long getStopTime() {
		return stopTime;
	}

	public void setStopTime(long stopTime) {
		this.stopTime = stopTime;
	}

	
}
