package chess4j.board.directions;

import junit.framework.Assert;

import org.junit.Test;

import chess4j.board.File;
import chess4j.board.Rank;
import chess4j.board.Square;

public class SouthTest {

	@Test
	public void testNext() {
		Assert.assertNull(South.getInstance().next(Square.valueOf(File.FILE_B, Rank.RANK_1)));
		
		Assert.assertEquals(South.getInstance().next(
				Square.valueOf(File.FILE_C, Rank.RANK_6)), 
				Square.valueOf(File.FILE_C, Rank.RANK_5));
		
		Assert.assertEquals(South.getInstance().next(
				Square.valueOf(File.FILE_A, Rank.RANK_3)), 
				Square.valueOf(File.FILE_A, Rank.RANK_2));
		
	}

}
